universal_io 2.0.4
universal_io: ^2.0.4 copied to clipboard

Cross-platform 'dart:io' that works in all platforms (browsers, Flutter, and VM).

example/example.dart

import 'package:universal_io/io.dart';

void main() async {
  // Use 'dart:io' HttpClient API.
  final httpClient = HttpClient();
  final request = await httpClient.getUrl(Uri.parse('http://google.com'));
  final response = await request.close();
  print(response.toString());
}
42
likes
120
pub points
98%
popularity

Publisher

dint.dev

Cross-platform 'dart:io' that works in all platforms (browsers, Flutter, and VM).

Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

collection, crypto, meta, typed_data

More

Packages that depend on universal_io